Package org.apache.tomcat.util.descriptor.web

# Class Constants

java.lang.Object
org.apache.tomcat.util.descriptor.web.Constants

public class Constants extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`COOKIE_COMMENT_ATTR`
`static final String`
`COOKIE_DOMAIN_ATTR`
`static final String`
`COOKIE_HTTP_ONLY_ATTR`
`static final String`
`COOKIE_MAX_AGE_ATTR`
`static final String`
`COOKIE_PARTITIONED_ATTR`
The name of the attribute used to indicate a partitioned cookie as part of CHIPS.
`static final String`
`COOKIE_PATH_ATTR`
`static final String`
`COOKIE_SAME_SITE_ATTR`
`static final String`
`COOKIE_SECURE_ATTR`
`static final String`
`PACKAGE_NAME`
`static final String`
`WEB_XML_LOCATION`

## Constructor Summary

Constructors
Constructor
Description
`Constants()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PACKAGE_NAME

public static final String PACKAGE_NAME

### WEB_XML_LOCATION

public static final String WEB_XML_LOCATION

See Also:
  - Constant Field Values

### COOKIE_COMMENT_ATTR

public static final String COOKIE_COMMENT_ATTR

See Also:
  - Constant Field Values

### COOKIE_DOMAIN_ATTR

public static final String COOKIE_DOMAIN_ATTR

See Also:
  - Constant Field Values

### COOKIE_MAX_AGE_ATTR

public static final String COOKIE_MAX_AGE_ATTR

See Also:
  - Constant Field Values

### COOKIE_PATH_ATTR

public static final String COOKIE_PATH_ATTR

See Also:
  - Constant Field Values

### COOKIE_SECURE_ATTR

public static final String COOKIE_SECURE_ATTR

See Also:
  - Constant Field Values

### COOKIE_HTTP_ONLY_ATTR

public static final String COOKIE_HTTP_ONLY_ATTR

See Also:
  - Constant Field Values

### COOKIE_SAME_SITE_ATTR

public static final String COOKIE_SAME_SITE_ATTR

See Also:
  - Constant Field Values

### COOKIE_PARTITIONED_ATTR

public static final String COOKIE_PARTITIONED_ATTR
The name of the attribute used to indicate a partitioned cookie as part of CHIPS. This cookie attribute is not defined by an RFC and may change in a non-backwards compatible way once equivalent functionality is included in an RFC.

See Also:
  - Constant Field Values

## Constructor Details

### Constants

public Constants()